[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ati radeon 9600 problem

Hi Ivan,

Ivan Glushkov wrote:
trying to overwrite `/usr/X11R6/lib/libGL.so.1.2', which is also in package fgl
dpkg-deb: subprocess paste killed by signal (Broken pipe)

There is a file that is in the package fglrx and also in the package libmesa-gl. apt won't overwrite files that belong to a different package when installing or upgrading a package, so upgrading xlibmesa-gl will fail. It now depends on how you want to proceed:

Either you try to install the fglrx driver once again. If you want to do that, you might also want to post what exactly went wrong the first time you tried it.

Or you want to forget about fglrx (and use the radeon driver that comes with XFree86), then force the removal of fglrx by "dpkg --force-depends -r fglrx" and run "apt-get -f install" afterwards.

I don't know if it is important, but i would suggest you give /usr/X11R6/lib/libGL.so.1.2 its original name before doing anything.

By the way, do you really need xlibmesa-gl-dev?


Reply to: